<?php
/*
 *******************************************
 plugin JUpload for Coppermine Photo Gallery
 *******************************************

 This program is free software; you can redistribute it and/or modify
 it under the terms of the GNU General Public License as published by
 the Free Software Foundation; either version 2 of the License, or
 (at your option) any later version.
 ********************************************
 $Revision: 185 $
 $Author: etienne_sf $
 $Date: 2008-03-12 20:26:16 +0100 (mer., 12 mars 2008) $
 ********************************************
 *
 * Allows easy upload to the gallery, through a java applet. 
 * 
 * Up to date version of this script can be retrieved with the full JUpload package, here:
 * 
 * http://etienne.sf.free.fr/wiki
 * 
 * Directly here:
 * http://forum.coppermine-gallery.net/index.php/board,100.0.html
 * 
 * Support is available on this forum:
 * http://coppermine-gallery.net/forum/index.php?topic=43432
 * 
 * The applet is published on sourceforge:
 * http://jupload.sourceforge.net
 * 
 */

/********************************************************************************************************************************
 * This file contains the necessary code to manage session. To begin with, it's mainly the cookies management, for bridge mode.
 ********************************************************************************************************************************/
 
 
 
 
  /**
  * This function is defined specifically for 1.4 and 1.5 versions. It returns the cookie parameter, or an empty string of this
  * parameter should not be sent to the applet.
  * In Coppermine 1.4, the plugin has access to the plugins. We send to the applet all available cookies.
  */

 function getCookiesHeader() {
 		//Let's read cookies. This won't work in Coppermine 1.5
	$cookies='';
	foreach ($_COOKIE as $key => $value) {
		logDebug("Cookie read: $key => $value<BR>");
		if ($cookies != '') {
			$cookies .= '; ';
		}
		$cookies .= "$key=$value";
	}

 	return "Cookie: $cookies";
 	
 }